#include <stdio.h>
#include <string.h>

int main (int argc, const char * argv[]) 
{
    const unsigned char fixBuffer[] = { 0x30, 0x06, 0x00, 0x01, 0x01, 0x83 };
	int i;
	if (argc <= 1)
	{
		printf("usage: fixDVD pathToDVD [pathToDVD...]\n");
		printf("where pathToDVD is the path to the folder containing VIDEO_TS folder\n");
		return 1;
	}
	
	for (i = 1; i < argc; i++)
	{
		char fileName[1024];
		strcpy(fileName, argv[i]);
		if (fileName[strlen(fileName)-1] != '/')
			strcat(fileName, "/");
		strcat(fileName, "VIDEO_TS/VIDEO_TS.IFO");
		printf("fileName: %s\n", fileName);
		FILE* tsFile = fopen(fileName, "r+b");
		if (tsFile)
		{
			fseek(tsFile, 0x4f4, SEEK_SET);
			size_t numBytes = fwrite(fixBuffer, 1, sizeof(fixBuffer), tsFile);
			printf("numBytesWritten: %d\n", numBytes);
			fclose(tsFile);
		}
	}
    return 0;
}
